Subject: bug#45799: 28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

From: Jean Louis <[email-masked]>
Date: Tue, 12 Jan 2021 19:36:57 +0300

* Eli Zaretskii <[email-masked]> [2021-01-12 18:14]:
> > Date: Tue, 12 Jan 2021 05:51:13 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > - I had to unset foreground and background colors, as I wanted to use
> >   emacsclient -nw in xterm but the current theme was not quite
> >   readable in console
> > 
> > - to change the theme with customize-themes, I had to unset foreground
> >   and background color, as otherwise changing theme simply does not
> >   work. This may be another bug, and I do so for many months as a
> >   workaround to change the them. Usually I unset the
> >   foreground/background color, even if under emacs -Q and only then I
> >   am able to see the changes of the changing themes function
> >   customize-themes
> > 
> > - but this time I had both GUI and console, unsetting
> >   foreground/background color in console, made GUI have miniscule
> >   faces or fonts
> 
> This is a whole different problem, one that I cannot reproduce.  For
> me, customize-themes works as documented: I can enable and disable any
> theme I want, and it works as I'd expect, including changes in colors.
> 
> However, you didn't tell how you used customize-themes, and what
> didn't work there, so I don't think we are talking about the same
> thing.

I have given the recipe how to reproduce. You say you cannot reproduce
it? My build is pretty recent from development and I have reproduced
it by using emacs -Q, basically you would have 2 windows, one is
Emacs, other is xterm and in xterm I was unsetting the colors.

In that recipe, I have not used customize-themes but that was
intention.

So if I would use customize-themes without unsetting of foreground and
background color, I would not see much of changes in console, as
colors would not change.

> So I don't think I understand your problem, and if the only reason for
> customizing faces on a TTY frame was that customize-themes didn't work
> for you, we should talk about the latter, and you should begin with
> describing how customize-themes doesn't work for you.

See above. But the recipe and bug is not really related to
customize-themes, as I did not use it in the recipe.

> > When the GUI practically disappears due to shrinkage of faces, that
> > still seem a bug
> 
> It's not a bug, it's a cockpit error: you yourself did something that
> has this effect, and you did it globally.  Customize is limited to
> changing faces globally, on all frames, existing and future ones; if
> that's not what you want, don't use Customize.

So you say if I unset foreground color by using emacsclient in
console, it is just fine that all the fonts in GUI are shrinked?

I did not shrink the faces and I did not unset settings of fonts. Why
is then font changing? It is not logical to say that should be default
behavior.

Let me make a video of it.